Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.store
Interface Saaj

    public interface Saaj

Nested Class Summary
`static interface` | `Saaj.SaajCallback`

Field Summary
`static java.lang.String` | `SAAJ_IMPL`

Method Summary
`DetailEntry` | `detail_addDetailEntry(Detail detail, Name name)`
`java.util.Iterator` | `detail_getDetailEntries(Detail detail)`
`java.lang.Class` | `identifyElement(javax.xml.namespace.QName name, javax.xml.namespace.QName parentName)`
`void` | `setCallback(Saaj.SaajCallback callback)`
`SOAPBodyElement` | `soapBody_addBodyElement(SOAPBody soapBody, Name name)`
`SOAPBodyElement` | `soapBody_addDocument(SOAPBody soapBody, Document document)`
`SOAPFault` | `soapBody_addFault(SOAPBody soapBody)`
`SOAPFault` | `soapBody_addFault(SOAPBody soapBody, Name name, java.lang.String s)`
`SOAPFault` | `soapBody_addFault(SOAPBody soapBody, Name faultCode, java.lang.String faultString, java.util.Locale locale)`
`SOAPFault` | `soapBody_getFault(SOAPBody soapBody)`
`boolean` | `soapBody_hasFault(SOAPBody soapBody)`
`SOAPElement` | `soapElement_addAttribute(SOAPElement soapElement, Name name, java.lang.String value)`
`SOAPElement` | `soapElement_addChildElement(SOAPElement soapElement, Name name)`
`SOAPElement` | `soapElement_addChildElement(SOAPElement parent, SOAPElement oldChild)`
`SOAPElement` | `soapElement_addChildElement(SOAPElement soapElement, java.lang.String localName)`
`SOAPElement` | `soapElement_addChildElement(SOAPElement soapElement, java.lang.String localName, java.lang.String prefix)`
`SOAPElement` | `soapElement_addChildElement(SOAPElement soapElement, java.lang.String localName, java.lang.String prefix, java.lang.String uri)`
`SOAPElement` | `soapElement_addNamespaceDeclaration(SOAPElement soapElement, java.lang.String prefix, java.lang.String uri)`
`SOAPElement` | `soapElement_addTextNode(SOAPElement soapElement, java.lang.String data)`
`java.util.Iterator` | `soapElement_getAllAttributes(SOAPElement soapElement)`
`java.lang.String` | `soapElement_getAttributeValue(SOAPElement soapElement, Name name)`
`java.util.Iterator` | `soapElement_getChildElements(SOAPElement parent)`
`java.util.Iterator` | `soapElement_getChildElements(SOAPElement parent, Name name)`
`Name` | `soapElement_getElementName(SOAPElement soapElement)`
`java.lang.String` | `soapElement_getEncodingStyle(SOAPElement soapElement)`
`java.util.Iterator` | `soapElement_getNamespacePrefixes(SOAPElement soapElement)`
`java.lang.String` | `soapElement_getNamespaceURI(SOAPElement soapElement, java.lang.String prefix)`
`java.util.Iterator` | `soapElement_getVisibleNamespacePrefixes(SOAPElement soapElement)`
`boolean` | `soapElement_removeAttribute(SOAPElement soapElement, Name name)`
`void` | `soapElement_removeContents(SOAPElement soapElement)`
`boolean` | `soapElement_removeNamespaceDeclaration(SOAPElement soapElement, java.lang.String prefix)`
`void` | `soapElement_setEncodingStyle(SOAPElement soapElement, java.lang.String encodingStyle)`
`SOAPBody` | `soapEnvelope_addBody(SOAPEnvelope soapEnvelope)`
`SOAPHeader` | `soapEnvelope_addHeader(SOAPEnvelope soapEnvelope)`
`Name` | `soapEnvelope_createName(SOAPEnvelope soapEnvelope, java.lang.String localName)`
`Name` | `soapEnvelope_createName(SOAPEnvelope soapEnvelope, java.lang.String localName, java.lang.String prefix, java.lang.String namespaceURI)`
`SOAPBody` | `soapEnvelope_getBody(SOAPEnvelope soapEnvelope)`
`SOAPHeader` | `soapEnvelope_getHeader(SOAPEnvelope soapEnvelope)`
`Detail` | `soapFault_addDetail(SOAPFault soapFault)`
`Detail` | `soapFault_getDetail(SOAPFault soapFault)`
`java.lang.String` | `soapFault_getFaultActor(SOAPFault soapFault)`
`java.lang.String` | `soapFault_getFaultCode(SOAPFault soapFault)`
`Name` | `soapFault_getFaultCodeAsName(SOAPFault soapFault)`
`java.lang.String` | `soapFault_getFaultString(SOAPFault soapFault)`
`java.util.Locale` | `soapFault_getFaultStringLocale(SOAPFault soapFault)`
`void` | `soapFault_setFaultActor(SOAPFault soapFault, java.lang.String faultActorString)`
`void` | `soapFault_setFaultCode(SOAPFault soapFault, Name faultCodeName)`
`void` | `soapFault_setFaultCode(SOAPFault soapFault, java.lang.String faultCode)`
`void` | `soapFault_setFaultString(SOAPFault soapFault, java.lang.String faultString)`
`void` | `soapFault_setFaultString(SOAPFault soapFault, java.lang.String faultString, java.util.Locale locale)`
`SOAPHeaderElement` | `soapHeader_addHeaderElement(SOAPHeader soapHeader, Name name)`
`java.util.Iterator` | `soapHeader_examineAllHeaderElements(SOAPHeader soapHeader)`
`java.util.Iterator` | `soapHeader_examineHeaderElements(SOAPHeader soapHeader, java.lang.String actor)`
`java.util.Iterator` | `soapHeader_examineMustUnderstandHeaderElements(SOAPHeader soapHeader, java.lang.String mustUnderstandString)`
`java.util.Iterator` | `soapHeader_extractAllHeaderElements(SOAPHeader soapHeader)`
`java.util.Iterator` | `soapHeader_extractHeaderElements(SOAPHeader soapHeader, java.lang.String actor)`
`java.lang.String` | `soapHeaderElement_getActor(SOAPHeaderElement soapHeaderElement)`
`boolean` | `soapHeaderElement_getMustUnderstand(SOAPHeaderElement soapHeaderElement)`
`void` | `soapHeaderElement_setActor(SOAPHeaderElement soapHeaderElement, java.lang.String actor)`
`void` | `soapHeaderElement_setMustUnderstand(SOAPHeaderElement soapHeaderElement, boolean mustUnderstand)`
`void` | `soapNode_detachNode(Node soapNode)`
`SOAPElement` | `soapNode_getParentElement(Node node)`
`java.lang.String` | `soapNode_getValue(Node node)`
`void` | `soapNode_recycleNode(Node node)`
`void` | `soapNode_setParentElement(Node node, SOAPElement soapElement)`
`void` | `soapNode_setValue(Node node, java.lang.String value)`
`void` | `soapPart_addMimeHeader(SOAPPart soapPart, java.lang.String name, java.lang.String value)`
`java.util.Iterator` | `soapPart_getAllMimeHeaders(SOAPPart soapPart)`
`javax.xml.transform.Source` | `soapPart_getContent(SOAPPart soapPart)`
`SOAPEnvelope` | `soapPart_getEnvelope(SOAPPart soapPart)`
`java.util.Iterator` | `soapPart_getMatchingMimeHeaders(SOAPPart soapPart, java.lang.String[] names)`
`java.lang.String[]` | `soapPart_getMimeHeader(SOAPPart soapPart, java.lang.String name)`
`java.util.Iterator` | `soapPart_getNonMatchingMimeHeaders(SOAPPart soapPart, java.lang.String[] names)`
`void` | `soapPart_removeAllMimeHeaders(SOAPPart soapPart)`
`void` | `soapPart_removeMimeHeader(SOAPPart soapPart, java.lang.String name)`
`void` | `soapPart_setContent(SOAPPart soapPart, javax.xml.transform.Source source)`
`void` | `soapPart_setMimeHeader(SOAPPart soapPart, java.lang.String name, java.lang.String value)`
`boolean` | `soapText_isComment(Text text)`

Field Detail

### SAAJ_IMPL

    static final java.lang.String SAAJ_IMPL

See Also:
  Constant Field Values

Method Detail

### setCallback

    void setCallback(Saaj.SaajCallback callback)

### identifyElement

    java.lang.Class identifyElement(javax.xml.namespace.QName name,
                                    javax.xml.namespace.QName parentName)

### soapNode_detachNode

    void soapNode_detachNode(Node soapNode)

### soapNode_recycleNode

    void soapNode_recycleNode(Node node)

### soapNode_getValue

    java.lang.String soapNode_getValue(Node node)

### soapNode_setValue

    void soapNode_setValue(Node node,
                           java.lang.String value)

### soapNode_getParentElement

    SOAPElement soapNode_getParentElement(Node node)

### soapNode_setParentElement

    void soapNode_setParentElement(Node node,
                                   SOAPElement soapElement)

### soapElement_removeContents

    void soapElement_removeContents(SOAPElement soapElement)

### soapElement_getEncodingStyle

    java.lang.String soapElement_getEncodingStyle(SOAPElement soapElement)

### soapElement_setEncodingStyle

    void soapElement_setEncodingStyle(SOAPElement soapElement,
                                      java.lang.String encodingStyle)

### soapElement_removeNamespaceDeclaration

    boolean soapElement_removeNamespaceDeclaration(SOAPElement soapElement,
                                                   java.lang.String prefix)

### soapElement_getAllAttributes

    java.util.Iterator soapElement_getAllAttributes(SOAPElement soapElement)

### soapElement_getChildElements

    java.util.Iterator soapElement_getChildElements(SOAPElement parent)

### soapElement_getNamespacePrefixes

    java.util.Iterator soapElement_getNamespacePrefixes(SOAPElement soapElement)

### soapElement_addAttribute

    SOAPElement soapElement_addAttribute(SOAPElement soapElement,
                                         Name name,
                                         java.lang.String value)
                                         throws SOAPException

  Throws:
    `SOAPException`

### soapElement_addChildElement

    SOAPElement soapElement_addChildElement(SOAPElement parent,
                                            SOAPElement oldChild)
                                            throws SOAPException

  Throws:
    `SOAPException`

### soapElement_addChildElement

    SOAPElement soapElement_addChildElement(SOAPElement soapElement,
                                            Name name)
                                            throws SOAPException

  Throws:
    `SOAPException`

### soapElement_addChildElement

    SOAPElement soapElement_addChildElement(SOAPElement soapElement,
                                            java.lang.String localName)
                                            throws SOAPException

  Throws:
    `SOAPException`

### soapElement_addChildElement

    SOAPElement soapElement_addChildElement(SOAPElement soapElement,
                                            java.lang.String localName,
                                            java.lang.String prefix)
                                            throws SOAPException

  Throws:
    `SOAPException`

### soapElement_addChildElement

    SOAPElement soapElement_addChildElement(SOAPElement soapElement,
                                            java.lang.String localName,
                                            java.lang.String prefix,
                                            java.lang.String uri)
                                            throws SOAPException

  Throws:
    `SOAPException`

### soapElement_addNamespaceDeclaration

    SOAPElement soapElement_addNamespaceDeclaration(SOAPElement soapElement,
                                                    java.lang.String prefix,
                                                    java.lang.String uri)

### soapElement_addTextNode

    SOAPElement soapElement_addTextNode(SOAPElement soapElement,
                                        java.lang.String data)

### soapElement_getAttributeValue

    java.lang.String soapElement_getAttributeValue(SOAPElement soapElement,
                                                   Name name)

### soapElement_getChildElements

    java.util.Iterator soapElement_getChildElements(SOAPElement parent,
                                                    Name name)

### soapElement_getElementName

    Name soapElement_getElementName(SOAPElement soapElement)

### soapElement_getNamespaceURI

    java.lang.String soapElement_getNamespaceURI(SOAPElement soapElement,
                                                 java.lang.String prefix)

### soapElement_getVisibleNamespacePrefixes

    java.util.Iterator soapElement_getVisibleNamespacePrefixes(SOAPElement soapElement)

### soapElement_removeAttribute

    boolean soapElement_removeAttribute(SOAPElement soapElement,
                                        Name name)

### soapEnvelope_addBody

    SOAPBody soapEnvelope_addBody(SOAPEnvelope soapEnvelope)
                                  throws SOAPException

  Throws:
    `SOAPException`

### soapEnvelope_getBody

    SOAPBody soapEnvelope_getBody(SOAPEnvelope soapEnvelope)
                                  throws SOAPException

  Throws:
    `SOAPException`

### soapEnvelope_getHeader

    SOAPHeader soapEnvelope_getHeader(SOAPEnvelope soapEnvelope)
                                      throws SOAPException

  Throws:
    `SOAPException`

### soapEnvelope_addHeader

    SOAPHeader soapEnvelope_addHeader(SOAPEnvelope soapEnvelope)
                                      throws SOAPException

  Throws:
    `SOAPException`

### soapEnvelope_createName

    Name soapEnvelope_createName(SOAPEnvelope soapEnvelope,
                                 java.lang.String localName)

### soapEnvelope_createName

    Name soapEnvelope_createName(SOAPEnvelope soapEnvelope,
                                 java.lang.String localName,
                                 java.lang.String prefix,
                                 java.lang.String namespaceURI)

### soapHeader_examineAllHeaderElements

    java.util.Iterator soapHeader_examineAllHeaderElements(SOAPHeader soapHeader)

### soapHeader_extractAllHeaderElements

    java.util.Iterator soapHeader_extractAllHeaderElements(SOAPHeader soapHeader)

### soapHeader_examineHeaderElements

    java.util.Iterator soapHeader_examineHeaderElements(SOAPHeader soapHeader,
                                                        java.lang.String actor)

### soapHeader_examineMustUnderstandHeaderElements

    java.util.Iterator soapHeader_examineMustUnderstandHeaderElements(SOAPHeader soapHeader,
                                                                      java.lang.String mustUnderstandString)

### soapHeader_extractHeaderElements

    java.util.Iterator soapHeader_extractHeaderElements(SOAPHeader soapHeader,
                                                        java.lang.String actor)

### soapHeader_addHeaderElement

    SOAPHeaderElement soapHeader_addHeaderElement(SOAPHeader soapHeader,
                                                  Name name)

### soapPart_removeAllMimeHeaders

    void soapPart_removeAllMimeHeaders(SOAPPart soapPart)

### soapPart_removeMimeHeader

    void soapPart_removeMimeHeader(SOAPPart soapPart,
                                   java.lang.String name)

### soapPart_getAllMimeHeaders

    java.util.Iterator soapPart_getAllMimeHeaders(SOAPPart soapPart)

### soapPart_getEnvelope

    SOAPEnvelope soapPart_getEnvelope(SOAPPart soapPart)

### soapPart_getContent

    javax.xml.transform.Source soapPart_getContent(SOAPPart soapPart)

### soapPart_setContent

    void soapPart_setContent(SOAPPart soapPart,
                             javax.xml.transform.Source source)

### soapPart_getMimeHeader

    java.lang.String[] soapPart_getMimeHeader(SOAPPart soapPart,
                                              java.lang.String name)

### soapPart_addMimeHeader

    void soapPart_addMimeHeader(SOAPPart soapPart,
                                java.lang.String name,
                                java.lang.String value)

### soapPart_setMimeHeader

    void soapPart_setMimeHeader(SOAPPart soapPart,
                                java.lang.String name,
                                java.lang.String value)

### soapPart_getMatchingMimeHeaders

    java.util.Iterator soapPart_getMatchingMimeHeaders(SOAPPart soapPart,
                                                       java.lang.String[] names)

### soapPart_getNonMatchingMimeHeaders

    java.util.Iterator soapPart_getNonMatchingMimeHeaders(SOAPPart soapPart,
                                                          java.lang.String[] names)

### soapBody_hasFault

    boolean soapBody_hasFault(SOAPBody soapBody)

### soapBody_addFault

    SOAPFault soapBody_addFault(SOAPBody soapBody)
                                throws SOAPException

  Throws:
    `SOAPException`

### soapBody_getFault

    SOAPFault soapBody_getFault(SOAPBody soapBody)

### soapBody_addBodyElement

    SOAPBodyElement soapBody_addBodyElement(SOAPBody soapBody,
                                            Name name)

### soapBody_addDocument

    SOAPBodyElement soapBody_addDocument(SOAPBody soapBody,
                                         Document document)

### soapBody_addFault

    SOAPFault soapBody_addFault(SOAPBody soapBody,
                                Name name,
                                java.lang.String s)
                                throws SOAPException

  Throws:
    `SOAPException`

### soapBody_addFault

    SOAPFault soapBody_addFault(SOAPBody soapBody,
                                Name faultCode,
                                java.lang.String faultString,
                                java.util.Locale locale)
                                throws SOAPException

  Throws:
    `SOAPException`

### soapFault_addDetail

    Detail soapFault_addDetail(SOAPFault soapFault)
                               throws SOAPException

  Throws:
    `SOAPException`

### soapFault_getDetail

    Detail soapFault_getDetail(SOAPFault soapFault)

### soapFault_getFaultActor

    java.lang.String soapFault_getFaultActor(SOAPFault soapFault)

### soapFault_getFaultCode

    java.lang.String soapFault_getFaultCode(SOAPFault soapFault)

### soapFault_getFaultCodeAsName

    Name soapFault_getFaultCodeAsName(SOAPFault soapFault)

### soapFault_getFaultString

    java.lang.String soapFault_getFaultString(SOAPFault soapFault)

### soapFault_getFaultStringLocale

    java.util.Locale soapFault_getFaultStringLocale(SOAPFault soapFault)

### soapFault_setFaultActor

    void soapFault_setFaultActor(SOAPFault soapFault,
                                 java.lang.String faultActorString)

### soapFault_setFaultCode

    void soapFault_setFaultCode(SOAPFault soapFault,
                                Name faultCodeName)
                                throws SOAPException

  Throws:
    `SOAPException`

### soapFault_setFaultCode

    void soapFault_setFaultCode(SOAPFault soapFault,
                                java.lang.String faultCode)
                                throws SOAPException

  Throws:
    `SOAPException`

### soapFault_setFaultString

    void soapFault_setFaultString(SOAPFault soapFault,
                                  java.lang.String faultString)

### soapFault_setFaultString

    void soapFault_setFaultString(SOAPFault soapFault,
                                  java.lang.String faultString,
                                  java.util.Locale locale)

### soapHeaderElement_setMustUnderstand

    void soapHeaderElement_setMustUnderstand(SOAPHeaderElement soapHeaderElement,
                                             boolean mustUnderstand)

### soapHeaderElement_getMustUnderstand

    boolean soapHeaderElement_getMustUnderstand(SOAPHeaderElement soapHeaderElement)

### soapHeaderElement_setActor

    void soapHeaderElement_setActor(SOAPHeaderElement soapHeaderElement,
                                    java.lang.String actor)

### soapHeaderElement_getActor

    java.lang.String soapHeaderElement_getActor(SOAPHeaderElement soapHeaderElement)

### soapText_isComment

    boolean soapText_isComment(Text text)

### detail_addDetailEntry

    DetailEntry detail_addDetailEntry(Detail detail,
                                      Name name)

### detail_getDetailEntries

    java.util.Iterator detail_getDetailEntries(Detail detail)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD